Bug 886730 - File object is opened and closed when not requested
Summary: File object is opened and closed when not requested
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: GlusterFS
Classification: Community
Component: object-storage
Version: pre-release
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Junaid
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-12-13 02:02 UTC by Peter Portante
Modified: 2013-08-06 22:39 UTC (History)
2 users (show)

Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-24 17:53:36 UTC
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:


Attachments (Terms of Use)

Description Peter Portante 2012-12-13 02:02:25 UTC
A file object is open and closed when not requested by the Gluster_DiskFile constructor. Only when the caller requests it should the file be opened.

Comment 1 Vijay Bellur 2012-12-17 14:17:22 UTC
CHANGE: http://review.gluster.org/4303 (object-storage: only open file when requested) merged in master by Vijay Bellur (vbellur@redhat.com)


Note You need to log in before you can comment on or make changes to this bug.